Login | Packages | Support | Bugs 

Top Level :: Database :: cassandra

cassandra 1.3.0

Package Information
Summary DataStax PHP Driver for Apache Cassandra
Maintainers Michael Penick (lead) [details]
License Apache License 2.0
Description A modern, feature-rich and highly tunable PHP client library for Apache
Cassandra and DataStax Enterprise using exclusively Cassandra's binary
protocol and Cassandra Query Language v3.
Homepage http://datastax.github.io/php-driver/
Release notes
Version 1.3.0
(stable)
# 1.3.0

Features:

* Added support for the `duration` type
* Added support to pass a query string directly to `Session::execute()` and
`Session::executeAsync()`
* `ExecutionOptions` has been deprecated in favor of using an array

Bug Fixes:
* [PHP-86] Decimal __toString method
* [PHP-109] Cassandra solr_query not working after upgrading to DSE 5
* [PHP-114] pecl install compiler output is dominated by C90 warnings
* [PHP-119] Driver crashes upon getting type of column
* [PHP-143] Memory leak in `FutureSession`
* [PHP-144] Fix persistent sessions reference counting issue
* [PHP-147] Unable to create Bigint with PHP_INT_MIN

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source[ Package Bugs ][ View Documentation ]

Dependencies for release 1.3.0
PHP Version: PHP version 7.0.99 or older
PHP Version: PHP 5.6.0 or newer
PEAR Package: PEAR 1.4.8 or newer
PRIVACY POLICY | CREDITS
Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Thu Mar 26 06:22:20 2015 UTC
Bandwidth and hardware provided by: pair Networks